Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceKnowledgeBase

Create Knowledge Base

POST
/voice/knowledge-bases

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/voice/knowledge-bases" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "name": "string",
  "description": "string",
  "documentCount": -9007199254740991,
  "vectorCount": -9007199254740991,
  "lastSyncedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
name*string
Length1 <= length
description?|